Index: c/src/lib/libbsp/m68k/mvme162/tod/tod.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/tod/tod.c	(revision f641b15e18a2fa8acbf0ae8a17c8a9a08b895515)
+++ c/src/lib/libbsp/m68k/mvme162/tod/tod.c	(revision f535fe5311978af53635c2da8e5cb10ef9d78802)
@@ -17,5 +17,5 @@
 
 #include <rtems.h>
-#include <tod.h>
+#include <rtems/tod.h>
 
 #define	tod	((volatile unsigned char *)0xfffc1ff8)
Index: c/src/lib/libbsp/shared/tod.c
===================================================================
--- c/src/lib/libbsp/shared/tod.c	(revision f641b15e18a2fa8acbf0ae8a17c8a9a08b895515)
+++ c/src/lib/libbsp/shared/tod.c	(revision f535fe5311978af53635c2da8e5cb10ef9d78802)
@@ -9,4 +9,5 @@
 #include <rtems.h>
 #include <rtems/rtc.h>
+#include <rtems/tod.h>
 #include <rtems/libio.h>
 
Index: src/lib/libbsp/shared/tod.h
===================================================================
--- c/src/lib/libbsp/shared/tod.h	(revision f641b15e18a2fa8acbf0ae8a17c8a9a08b895515)
+++ 	(revision )
@@ -1,71 +1,0 @@
-/**
- *  @file
- *
- *  @ingroup shared_tod
- *
- *  @brief Real Time Clock (MK48T08) for RTEMS on Score603e
- */
-
-/*
- *
- *  Based on MVME162 TOD by:
- *    COPYRIGHT (C) 1997
- *    by Katsutoshi Shibuya - BU Denken Co.,Ltd. - Sapporo - JAPAN
- *    ALL RIGHTS RESERVED
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#ifndef TOD_H
-#define TOD_H
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/**
- *  @defgroup shared_tod RTC
- *
- *  @ingroup bsp_shared
- *
- *  @brief Set the RTC
- */
-
-int setRealTime(
-  const rtems_time_of_day *tod
-);
-
-/*
- *  Get the time from the RTC.
- */
-
-void getRealTime(
-  rtems_time_of_day *tod
-);
-
-/*
- *  Read real time from RTC and set it to RTEMS' clock manager
- */
-
-void setRealTimeToRTEMS(void);
-
-/*
- *  Read time from RTEMS' clock manager and set it to RTC
- */
-
-void setRealTimeFromRTEMS(void);
-
-/*
- *  Return the difference between RTC and RTEMS' clock manager time in minutes.
- *  If the difference is greater than 1 day, this returns 9999.
- */
-
-int checkRealTime(void);
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
Index: c/src/lib/libcpu/bfin/clock/rtc.c
===================================================================
--- c/src/lib/libcpu/bfin/clock/rtc.c	(revision f641b15e18a2fa8acbf0ae8a17c8a9a08b895515)
+++ c/src/lib/libcpu/bfin/clock/rtc.c	(revision f535fe5311978af53635c2da8e5cb10ef9d78802)
@@ -12,5 +12,5 @@
 
 #include <rtems.h>
-#include "tod.h"
+#include <rtems/tod.h>
 #include <rtems/rtc.h>
 #include <rtems/libio.h>
Index: cpukit/libcsupport/Makefile.am
===================================================================
--- cpukit/libcsupport/Makefile.am	(revision f641b15e18a2fa8acbf0ae8a17c8a9a08b895515)
+++ cpukit/libcsupport/Makefile.am	(revision f535fe5311978af53635c2da8e5cb10ef9d78802)
@@ -12,4 +12,5 @@
 include_rtems_HEADERS += include/ringbuf.h
 include_rtems_HEADERS += include/rtc.h
+include_rtems_HEADERS += include/rtems/tod.h
 include_rtems_HEADERS += include/spurious.h
 include_rtems_HEADERS += include/vmeintr.h
Index: cpukit/libcsupport/include/rtems/tod.h
===================================================================
--- cpukit/libcsupport/include/rtems/tod.h	(revision f535fe5311978af53635c2da8e5cb10ef9d78802)
+++ cpukit/libcsupport/include/rtems/tod.h	(revision f535fe5311978af53635c2da8e5cb10ef9d78802)
@@ -0,0 +1,70 @@
+/**
+ *  @file
+ *
+ *  @ingroup shared_tod
+ *
+ *  @brief Real Time Clock Time of Day API Definition
+ */
+
+/*
+ *
+ *  Based on MVME162 TOD by:
+ *    COPYRIGHT (C) 1997
+ *    by Katsutoshi Shibuya - BU Denken Co.,Ltd. - Sapporo - JAPAN
+ *    ALL RIGHTS RESERVED
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
+ */
+
+#ifndef TOD_H
+#define TOD_H
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/**
+ *  @defgroup shared_tod RTC
+ *
+ *  @ingroup bsp_shared
+ *
+ *  @brief Set the RTC
+ */
+int setRealTime(
+  const rtems_time_of_day *tod
+);
+
+/*
+ *  Get the time from the RTC.
+ */
+
+void getRealTime(
+  rtems_time_of_day *tod
+);
+
+/*
+ *  Read real time from RTC and set it to RTEMS' clock manager
+ */
+
+void setRealTimeToRTEMS(void);
+
+/*
+ *  Read time from RTEMS' clock manager and set it to RTC
+ */
+
+void setRealTimeFromRTEMS(void);
+
+/*
+ *  Return the difference between RTC and RTEMS' clock manager time in minutes.
+ *  If the difference is greater than 1 day, this returns 9999.
+ */
+
+int checkRealTime(void);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
Index: cpukit/libcsupport/preinstall.am
===================================================================
--- cpukit/libcsupport/preinstall.am	(revision f641b15e18a2fa8acbf0ae8a17c8a9a08b895515)
+++ cpukit/libcsupport/preinstall.am	(revision f535fe5311978af53635c2da8e5cb10ef9d78802)
@@ -42,4 +42,8 @@
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/rtc.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/rtc.h
+
+$(PROJECT_INCLUDE)/rtems/tod.h: include/rtems/tod.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/tod.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/tod.h
 
 $(PROJECT_INCLUDE)/rtems/spurious.h: include/spurious.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
